package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxWeappAuditStatus;
import com.iformall.domain.vo.WxWeappAuditStatusVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface WxWeappAuditStatusMapper extends CommonMapper<WxWeappAuditStatus, Long> {

	List<WxWeappAuditStatus> findList(WxWeappAuditStatus weappAuditStatus);

    List<WxWeappAuditStatusVo> findVoList(WxWeappAuditStatusVo weappAuditStatusVo);
	
	List<Map> findUserVersions(@Param(value = "type") Integer type, @Param(value = "auditStatus") Integer auditStatus);

	void updateStatus(WxWeappAuditStatus record);

	
	
	
}
